diff --git app/Providers/AppServiceProvider.php app/Providers/AppServiceProvider.php
index eaf14355..539a59ac 100644
--- app/Providers/AppServiceProvider.php
+++ app/Providers/AppServiceProvider.php
@@ -28,6 +28,12 @@ public function boot()
     {
         $this->setMorphMap();
         $this->extendValidator();
+
+        \Illuminate\Support\Facades\Queue::before(
+            function (\Illuminate\Queue\Events\JobProcessing $event) {
+                \Log::debug('Starting queue job: ' . $event->job->resolveName());
+            }
+        );
     }
